device: "cuda:0" # "cuda:0"
mode: 4 # best option to infer
model:
  pretrained_model_path: /mnt/hdd4T/OCR/tuanlv/02-KVU/sdsvkvu/microsoft/layoutxlm-base # default: ""
  config: /home/sds/tuanlv/02-KVU/03-KVU_sbt/experiments/key_value_understanding_for_sbt-20231121-085847/base.yaml
  checkpoint: /home/sds/tuanlv/02-KVU/03-KVU_sbt/experiments/key_value_understanding_for_sbt-20231121-085847/checkpoints/best_model.pth
ocr_engine:
  detector: 
    # version: /home/sds/datnt/mmdetection/wild_receipt_finetune_weights_c_lite.pth
    version: /mnt/hdd4T/OCR/datnt/mmdetection/logs/textdet-baseline-Nov3-wildreceiptv4-sdsapv1-mcocr-ssreceipt1_Imei/epoch_100_params.pth
    rotator_version: /home/sds/datnt/mmdetection/logs/textdet-with-rotate-20230317/best_bbox_mAP_epoch_30_lite.pth
  recognizer: 
    version: satrn-lite-general-pretrain-20230106
  deskew: 
    enable: True
    text_detector: 
      config: /mnt/hdd4T/OCR/tuanlv/01-BasicOCR/ocr-engine-deskew/externals/sdsv_dewarp/config/det.yaml
      weight: /mnt/hdd4T/OCR/tuanlv/01-BasicOCR/ocr-engine-deskew/externals/sdsv_dewarp/weights/ch_PP-OCRv3_det_infer
    text_cls: 
      config: /mnt/hdd4T/OCR/tuanlv/01-BasicOCR/ocr-engine-deskew/externals/sdsv_dewarp/config/cls.yaml
      weight: /mnt/hdd4T/OCR/tuanlv/01-BasicOCR/ocr-engine-deskew/externals/sdsv_dewarp/weights/ch_ppocr_mobile_v2.0_cls_infer
